// ObjManTreeTarget.h: interface for the CObjManTreeTarget class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_OBJMANTREETARGET_H__519FE265_8F0A_4C00_89BA_8F3FC5A2B9EB__INCLUDED_)
#define AFX_OBJMANTREETARGET_H__519FE265_8F0A_4C00_89BA_8F3FC5A2B9EB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
class CObjTreeView;
class CObjManTreeTarget : public COleDropTarget  
{
protected:
CObjTreeView *MyTree;
public:
	CObjManTreeTarget(CObjTreeView *tree);
	virtual ~CObjManTreeTarget();
   
   DROPEFFECT OnDragEnter(CWnd* pWnd, COleDataObject* pDataObject, DWORD 
                                                dwKeyState, CPoint point );
   DROPEFFECT OnDragOver(CWnd* pWnd, COleDataObject* pDataObject, DWORD 
                                               dwKeyState, CPoint point );
   void OnDragLeave(CWnd* pWnd);               
   
   BOOL OnDrop(CWnd* pWnd, COleDataObject* pDataObject, DROPEFFECT 
                                          dropEffect, CPoint point ); 
};

#endif // !defined(AFX_OBJMANTREETARGET_H__519FE265_8F0A_4C00_89BA_8F3FC5A2B9EB__INCLUDED_)
